﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using RestSharp;
using System.Net;
using System.Collections.Generic;

namespace EdFi.Ods.Labs.Tests.AddDescriptors
{
    [TestClass]
    public class When_Adding_Descriptors
    {
        [TestMethod]
        public void Should_Manage_Successfully_Under_Assigned_Namespace()
        {
            var client = SdkHelper.CreateClient(2015);
            IRestResponse response = null;
            var transportationMethodDescriptorsApi = new EdFi.Ods.Apis.TransportationMethodDescriptorsApi(client);
            EdFi.Ods.Models.TransportationMethodDescriptor transportationMethodDescriptor = null;
            List<EdFi.Ods.Models.TransportationMethodDescriptor> transportationMethodDescriptors = null;

            // TODO: Populate the required fields of the descriptor and make sure the namespace starts with the assigned namespace.

            // TODO: Add the new descriptor and confirm success.

            // Should only allow a Created, but just in case this was partially run before we'll give room by accepting an OK.
            Assert.IsTrue(response.StatusCode == HttpStatusCode.Created || response.StatusCode == HttpStatusCode.OK);

            // TODO: Get all of the descriptors just to examine the result in Fiddler.

            Assert.IsTrue(transportationMethodDescriptors.Count > 0);

            // TODO: Remove the new descriptor and confirm success.

            Assert.AreEqual(HttpStatusCode.NoContent, response.StatusCode);
        }

        [TestMethod]
        public void Should_Fail_Under_Different_Namespace()
        {
            var client = SdkHelper.CreateClient(2015);
            IRestResponse response = null;
            var transportationMethodDescriptorApi = new EdFi.Ods.Apis.TransportationMethodDescriptorsApi(client);
            EdFi.Ods.Models.TransportationMethodDescriptor transportationMethodDescriptor = null;

            // TODO: Populate the required fields of the descriptor and make sure the namespace prefix DOES NOT match the assigned namespace.

            // TODO: Attempt to add the new descriptor and confirm error.

            Assert.IsTrue(response.StatusCode == HttpStatusCode.Forbidden);
        }
    }
}
