IF NOT EXISTS (
SELECT  schema_name
FROM    information_schema.schemata
WHERE   schema_name = 'extension' ) 

BEGIN
EXEC sp_executesql N'CREATE SCHEMA extension'
END
GO

CREATE TABLE extension.TransportationMethodDescriptor
	(
	TransportationMethodDescriptorId int NOT NULL,
	BeginDate date NULL,
	EndDate date NULL
	)  ON [PRIMARY]
GO
ALTER TABLE extension.TransportationMethodDescriptor ADD CONSTRAINT
	PK_TransportationMethodDescriptor PRIMARY KEY CLUSTERED 
	(
	TransportationMethodDescriptorId
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

GO
ALTER TABLE extension.TransportationMethodDescriptor ADD CONSTRAINT
	FK_TransportationMethodDescriptor_Descriptor FOREIGN KEY
	(
	TransportationMethodDescriptorId
	) REFERENCES edfi.Descriptor
	(
	DescriptorId
	) ON UPDATE  NO ACTION 
	 ON DELETE  CASCADE
GO
CREATE TABLE extension.StudentSchoolTransportation
	(
	Id uniqueidentifier NOT NULL CONSTRAINT StudentSchoolTransportation_DF_Id DEFAULT NEWID(),
	StudentUSI int NOT NULL,
	SchoolId int NOT NULL,
	EntryDate date NOT NULL,
	ToTransportationMethodDescriptorId int NOT NULL,
	ToTransportationCode nvarchar(50) NULL,
	FromTransportationMethodDescriptorId int NOT NULL,
	FromTransportationCode nvarchar(50) NULL,
	CreateDate datetime NOT NULL CONSTRAINT StudentTransportation_DF_CreateDate DEFAULT GETDATE(),
    LastModifiedDate datetime NOT NULL CONSTRAINT StudentTransportation_DF_LastModifiedDate DEFAULT GETDATE()
	)  ON [PRIMARY]
GO
ALTER TABLE extension.StudentSchoolTransportation ADD CONSTRAINT
	PK_StudentSchoolTransportation PRIMARY KEY CLUSTERED 
	(
	StudentUSI,
	SchoolId,
	EntryDate
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

GO
ALTER TABLE extension.StudentSchoolTransportation ADD CONSTRAINT
	FK_StudentSchoolTransportation_StudentSchoolAssociation FOREIGN KEY
	(
	StudentUSI, SchoolId, EntryDate
	) REFERENCES edfi.StudentSchoolAssociation
	(
	StudentUSI, SchoolId, EntryDate
	) ON UPDATE  NO ACTION 
	 ON DELETE  NO ACTION 
	
GO
ALTER TABLE extension.StudentSchoolTransportation ADD CONSTRAINT
	FK_StudentSchoolTransportation_Descriptor FOREIGN KEY
	(
	FromTransportationMethodDescriptorId
	) REFERENCES extension.TransportationMethodDescriptor
	(
	TransportationMethodDescriptorId
	) ON UPDATE  NO ACTION 
	 ON DELETE  NO ACTION 
	
GO
ALTER TABLE extension.StudentSchoolTransportation ADD CONSTRAINT
	FK_StudentSchoolTransportation_Descriptor1 FOREIGN KEY
	(
	ToTransportationMethodDescriptorId
	) REFERENCES extension.TransportationMethodDescriptor
	(
	TransportationMethodDescriptorId
	) ON UPDATE  NO ACTION 
	 ON DELETE  NO ACTION 
GO
