﻿using System;
using System.Collections.Generic;
using System.IO;

namespace EdFi.Ods.Labs.Tests
{
    public class Interchange
    {
        public string BulkOperationId { get; set; }
        public string FileUploadId { get; set; }
        public string XmlContent { get; set; }
        public string InterchangeType { get; set; }
        public List<EdFi.Rest.Models.BulkOperationException> Exceptions { get; set; }

        public Interchange()
        {
            Exceptions = new List<Rest.Models.BulkOperationException>();
        }

        public long Length
        {
            get
            {
                return XmlContent.Length;
            }
        }

        public string Format
        {
            get { return "text/xml"; }
        }

        public Stream CreateStream()
        {
            if (!string.IsNullOrEmpty(XmlContent))
            {
                var stream = new MemoryStream();
                var writer = new StreamWriter(stream);

                writer.Write(XmlContent);
                writer.Flush();
                stream.Position = 0;

                return stream;
            }

            return null;
        }
    }
}
