﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Net;
using RestSharp;

namespace EdFi.Ods.Labs.Tests.ManageStudents
{
    [TestClass]
    public class When_Managing_Students
    {
        [TestMethod]
        public void Should_Have_Access_Errors_Without_An_Association()
        {
            // Use the IdGenerator class to create a new UniqueId for this student.
            var studentUniqueId = IdGenerator.GenerateId();

            // TODO: Create the student object, client, Api instance, and response reference to be used throughout this method (see previous lab for an example).
            EdFi.Ods.Models.Student student = null;
            IRestResponse response = null;
            IRestResponse<EdFi.Ods.Models.Student> studentResponse = null;

            // TODO: Create a student.

            Assert.AreEqual(HttpStatusCode.Created, response.StatusCode);

            // Store the resource Id for later use.
            var id = student.id;

            // TODO: Read the student using GetByKey.

            Assert.AreEqual(HttpStatusCode.Forbidden, studentResponse.StatusCode);

            // TODO: Change the name and try to update the student.

            Assert.AreEqual(HttpStatusCode.Forbidden, studentResponse.StatusCode);

            // TODO: Delete the student.

            Assert.AreEqual(HttpStatusCode.NoContent, response.StatusCode);

            // TODO: Execute a GetByKey to ensure the student has been removed.

            Assert.AreEqual(HttpStatusCode.NotFound, studentResponse.StatusCode);
        }

        [TestMethod]
        public void Should_Have_Success_With_An_Association()
        {
            // Use the IdGenerator class to create a new UniqueId for this student.
            var studentUniqueId = IdGenerator.GenerateId();

            // Create the student object, client, Api instance, and response reference to be used throughout this method (see previous lab for an example).
            var client = SdkHelper.CreateClient(2015);
            var studentsApi = new EdFi.Ods.Apis.StudentsApi(client);
            EdFi.Ods.Models.Student student = null;
            IRestResponse response = null;
            IRestResponse<EdFi.Ods.Models.Student> studentResponse = null;
            var studentSchoolAssociationsApi = new EdFi.Ods.Apis.StudentSchoolAssociationsApi(client);
            EdFi.Ods.Models.StudentSchoolAssociation studentSchoolAssociation = null;
            IRestResponse<EdFi.Ods.Models.StudentSchoolAssociation> studentSchoolAssociationResponse = null;

            // TODO: Create a student.

            Assert.AreEqual(HttpStatusCode.Created, response.StatusCode);

            // Store the resource Id for later use.
            var id = student.id;

            // TODO: Add a student school association.

            Assert.AreEqual(HttpStatusCode.Created, response.StatusCode);

            // TODO: Read the student using GetByKey.

            Assert.AreEqual(HttpStatusCode.OK, studentResponse.StatusCode);

            // TODO: Change the name and try to update the student.

            Assert.AreEqual(HttpStatusCode.OK, studentResponse.StatusCode);

            // TODO: Delete the student.

            Assert.AreEqual(HttpStatusCode.Conflict, response.StatusCode);

            // TODO: Delete the student school association.

            Assert.AreEqual(HttpStatusCode.NoContent, response.StatusCode);

            // TODO: Try to delete the student again.

            Assert.AreEqual(HttpStatusCode.NoContent, response.StatusCode);
        }
    }
}
