﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using RestSharp;
using System.Net;

namespace EdFi.Ods.Labs.Tests.Sections
{
    [TestClass]
    public class When_Managing_Sections
    {
        [TestMethod]
        public void Should_Be_Able_To_CRUD_A_Section()
        {
            var client = SdkHelper.CreateClient(2015);
            var sectionsApi = new EdFi.Ods.Apis.SectionsApi(client);
            EdFi.Ods.Models.Section section = null;
            IRestResponse response = null;
            IRestResponse<EdFi.Ods.Models.Section> sectionResponse = null;

            // TODO: Add a section

            // We are allowing a Created or OK here in the event that a section gets created, but not deleted. In 
            // this case, we will be modifying the section which will generate an OK response.
            Assert.IsTrue(response.StatusCode == HttpStatusCode.Created || response.StatusCode == HttpStatusCode.OK);

            // Store the resource Id for later use. This was automatically populated for us when we executed the POST.
            var id = section.id;

            // TODO: Modify the section by changing the available credits to 10.
            
            Assert.AreEqual(HttpStatusCode.OK, response.StatusCode);

            // TODO: Get the section by key and ensure that it is not null. You will need to use the "Data" property of the GetByKey response.
            // null can be used for the ifNoneMatch parameter.
                        
            Assert.IsNotNull(section);
            Assert.AreEqual(10, section.availableCredits);

            // TODO: Get the section by Id and ensure that it is not null.

            Assert.IsNotNull(section.id);
            Assert.AreEqual(HttpStatusCode.OK, sectionResponse.StatusCode);

            // TODO: Delete the section.

            Assert.AreEqual(HttpStatusCode.NoContent, response.StatusCode);

            // TODO: Get by Id again to make sure it no longer exists.

            Assert.IsNull(section.id);
            Assert.AreEqual(HttpStatusCode.NotFound, sectionResponse.StatusCode);
        }
    }
}
