﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.IO;
using System.Collections.Generic;

namespace EdFi.Ods.Labs.Tests.SubmitBulkFiles
{
    [TestClass]
    public class When_Submitting_Bulk_Files
    {
        [TestMethod]
        public void Should_Be_Able_To_Submit_Multiple_Files_And_Retrieve_Errors()
        {
            var client = SdkHelper.CreateClient(2015);
            var interchanges = new List<Interchange>();
            var studentUniqueId = IdGenerator.GenerateId();

            // TODO: Build the content by filling in parameters required for the Xml files.
            var studentXmlContent = string.Format(File.ReadAllText(@"SubmitBulkFiles\Student.xml"));

            var studentEnrollmentXmlContent = string.Format(File.ReadAllText(@"SubmitBulkFiles\StudentEnrollment.xml"));

            interchanges.Add(new Interchange
            {
                XmlContent = studentXmlContent,
                InterchangeType = "Student"
            });

            interchanges.Add(new Interchange
            {
                XmlContent = studentEnrollmentXmlContent,
                InterchangeType = "StudentEnrollment"
            });

            SdkHelper.UploadInterchanges(client, interchanges);

            // Make sure there are no errors.
            Assert.AreEqual(0, interchanges[0].Exceptions.Count);
            Assert.AreEqual(0, interchanges[1].Exceptions.Count);
        }
    }
}
