using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Models {
  public class AssessmentFamily {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* The title or name of the assessment family. */
    public string title { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string assessmentCategoryDescriptor { get; set; }

    /* Key for AcademicSubject */
    public string academicSubjectDescriptor { get; set; }

    /* Key for GradeLevel */
    public string assessedGradeLevelDescriptor { get; set; }

    /* Key for GradeLevel */
    public string lowestAssessedGradeLevelDescriptor { get; set; }

    /* The version identifier for the assessment. */
    public int? version { get; set; }

    /* The month, day, and year that the conceptual design for the AssessmentFamily was most recently revised substantially. */
    public DateTime? revisionDate { get; set; }

    /* Reflects the common nomenclature for an element. */
    public string nomenclature { get; set; }

    /* The title or name of the assessment family. */
    public string parentAssessmentFamilyTitle { get; set; }

    /* Namespace for the Assessments in this AssessmentFamily. */
    public string @namespace { get; set; }

    /* This entity represents a logical grouping or association of assessments that share a common purpose, heritage or content standard. There may be hierarchies of assessment families, characteristics (e.g., Academic Subject) specified for assessment families, by convention, are inherited by the Assessments associated with the AssessmentFamily. */
    public AssessmentFamilyContentStandard contentStandard { get; set; }

    /* An unordered collection of assessmentFamilyAssessmentPeriods.  This entity represents a logical grouping or association of assessments that share a common purpose, heritage or content standard. There may be hierarchies of assessment families, characteristics (e.g., Academic Subject) specified for assessment families, by convention, are inherited by the Assessments associated with the AssessmentFamily. */
    public List<AssessmentFamilyAssessmentPeriod> assessmentPeriods { get; set; }

    /* An unordered collection of assessmentFamilyIdentificationCodes.  This entity represents a logical grouping or association of assessments that share a common purpose, heritage or content standard. There may be hierarchies of assessment families, characteristics (e.g., Academic Subject) specified for assessment families, by convention, are inherited by the Assessments associated with the AssessmentFamily. */
    public List<AssessmentFamilyIdentificationCode> identificationCodes { get; set; }

    /* An unordered collection of assessmentFamilyLanguages.  This entity represents a logical grouping or association of assessments that share a common purpose, heritage or content standard. There may be hierarchies of assessment families, characteristics (e.g., Academic Subject) specified for assessment families, by convention, are inherited by the Assessments associated with the AssessmentFamily. */
    public List<AssessmentFamilyLanguage> languages { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
