using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Models {
  public class CalendarDate {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* The identifier assigned to a school by the State Education Agency (SEA). Also known as the State LEA ID. */
    public int? schoolId { get; set; }

    /* The month, day, and year of the CalendarDate. */
    public DateTime? date { get; set; }

    /* An unordered collection of calendarDateCalendarEvents.  This entity represents a day in the school calendar. */
    public List<CalendarDateCalendarEvent> calendarEvents { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
