using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Models {
  public class CompetencyObjective {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related EducationOrganization resource. */
    public EducationOrganizationReference educationOrganizationReference { get; set; }

    /* The designated title of the learning objective. */
    public string objective { get; set; }

    /* The grade level for which the competency objective is targeted, */
    public string objectiveGradeLevelDescriptor { get; set; }

    /* The Identifier for the CompetencyObjective. */
    public string competencyObjectiveId { get; set; }

    /* A detailed description of the entity. */
    public string description { get; set; }

    /* One or more statements that describes the criteria used by teachers and students to check for attainment of a competency objective. This criteria gives clear indications as to the degree to which learning is moving through the Zone or Proximal Development toward independent achievement of the CompetencyObjective. */
    public string successCriteria { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
