using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Models {
  public class InterventionPrescription {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related EducationOrganization resource. */
    public EducationOrganizationReference educationOrganizationReference { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string identificationCode { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string interventionClassType { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string deliveryMethodType { get; set; }

    /* An unordered collection of interventionPrescriptionAppropriateGradeLevels.  This entity represents a formal prescription of an instructional approach focusing on the specific techniques and materials used to teach a given subject. This can be prescribed by academic research, an interventions vendor, or another entity. */
    public List<InterventionPrescriptionAppropriateGradeLevel> appropriateGradeLevels { get; set; }

    /* An unordered collection of interventionPrescriptionAppropriateSexes.  This entity represents a formal prescription of an instructional approach focusing on the specific techniques and materials used to teach a given subject. This can be prescribed by academic research, an interventions vendor, or another entity. */
    public List<InterventionPrescriptionAppropriateSex> appropriateSexes { get; set; }

    /* An unordered collection of interventionPrescriptionDiagnoses.  This entity represents a formal prescription of an instructional approach focusing on the specific techniques and materials used to teach a given subject. This can be prescribed by academic research, an interventions vendor, or another entity. */
    public List<InterventionPrescriptionDiagnosis> diagnoses { get; set; }

    /* An unordered collection of interventionPrescriptionEducationContents.  This entity represents a formal prescription of an instructional approach focusing on the specific techniques and materials used to teach a given subject. This can be prescribed by academic research, an interventions vendor, or another entity. */
    public List<InterventionPrescriptionEducationContent> educationContents { get; set; }

    /* An unordered collection of interventionPrescriptionLearningResourceMetadataURIs.  This entity represents a formal prescription of an instructional approach focusing on the specific techniques and materials used to teach a given subject. This can be prescribed by academic research, an interventions vendor, or another entity. */
    public List<InterventionPrescriptionLearningResourceMetadataURI> learningResourceMetadataURIs { get; set; }

    /* An unordered collection of interventionPrescriptionPopulationServeds.  This entity represents a formal prescription of an instructional approach focusing on the specific techniques and materials used to teach a given subject. This can be prescribed by academic research, an interventions vendor, or another entity. */
    public List<InterventionPrescriptionPopulationServed> populationServeds { get; set; }

    /* An unordered collection of interventionPrescriptionURIs.  This entity represents a formal prescription of an instructional approach focusing on the specific techniques and materials used to teach a given subject. This can be prescribed by academic research, an interventions vendor, or another entity. */
    public List<InterventionPrescriptionURI> uris { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
