using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Models {
  public class SectionReference {
    /* School Identity Column */
    public int? schoolId { get; set; }

    /* An indication of the portion of a typical daily session in which students receive instruction in a specified subject (e.g., morning, sixth period, block period, or AB schedules).   NEDM: Class Period */
    public string classPeriodName { get; set; }

    /* A unique number or alphanumeric code assigned to a room by a school, school system, state, or other agency or entity. */
    public string classroomIdentificationCode { get; set; }

    /* The local code assigned by the LEA or Campus that identifies the organization of subject matter and related learning experiences provided for the instruction of students. */
    public string localCourseCode { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string termDescriptor { get; set; }

    /* The identifier for the school year. */
    public int? schoolYear { get; set; }

    /* A unique identifier for the Section, that is defined by the classroom, the subjects taught, and the instructors that are assigned. */
    public string uniqueSectionCode { get; set; }

    /* When a Section is part of a sequence of parts for a course, the number if the sequence. If the course has only one part, the value of this Section attribute should be 1. */
    public int? sequenceOfCourse { get; set; }

    /* Represents a hyperlink to the related section resource. */
    public Link link { get; set; }

    }
}
