using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Models {
  public class StudentAssessmentItem {
    /* A reference to the related AssessmentItem resource. */
    public AssessmentItemReference assessmentItemReference { get; set; }

    /* A student's response to a stimulus on a test. */
    public string assessmentResponse { get; set; }

    /* Indicator of the response.  For example:  Nonscorable response  Ineffective response  Effective response  Partial response  ... */
    public string responseIndicatorType { get; set; }

    /* The analyzed result of a student''s response to an assessment item.. For example:  Correct  Incorrect  Met standard  ... */
    public string assessmentItemResultType { get; set; }

    /* A meaningful raw score of the performance of an individual on an assessment item. */
    public int? rawScoreResult { get; set; }

    /* The overall time a student actually spent during the AssessmentItem. */
    public string timeAssessed { get; set; }

    /* The formative descriptive feedback that was given to a learner in response to the results from a scored/evaluated assessment item. */
    public string descriptiveFeedback { get; set; }

    }
}
