using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Models {
  public class StudentGradebookEntry {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related GradebookEntry resource. */
    public GradebookEntryReference gradebookEntryReference { get; set; }

    /* A reference to the related StudentSectionAssociation resource. */
    public StudentSectionAssociationReference studentSectionAssociationReference { get; set; }

    /* The date an assignment was turned in or the date of an assessment. */
    public DateTime? dateFulfilled { get; set; }

    /* A final or interim (grading period) indicator of student performance in a class as submitted by the instructor. */
    public string letterGradeEarned { get; set; }

    /* A final or interim (grading period) indicator of student performance in a class as submitted by the instructor. */
    public double? numericGradeEarned { get; set; }

    /* The competency level assessed for the student for the referenced learning objective. */
    public string competencyLevelDescriptor { get; set; }

    /* A statement provided by the teacher that provides information in addition to the grade or assessment score. */
    public string diagnosticStatement { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
