using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Models {
  public class StudentLearningObjectiveReference {
    /* A unique alpha-numeric code assigned to a student. */
    public string studentUniqueId { get; set; }

    /* The designated title of the learning objective. */
    public string objective { get; set; }

    /* The description of the content or subject area (e.g., arts, mathematics, reading, stenography, or a foreign language) of an assessment. */
    public string academicSubjectDescriptor { get; set; }

    /* The grade level for which the learning objective is targeted, */
    public string objectiveGradeLevelDescriptor { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string gradingPeriodDescriptor { get; set; }

    /* Month, day, and year of the first day of the GradingPeriod. */
    public DateTime? gradingPeriodBeginDate { get; set; }

    /* School Identity Column */
    public int? schoolId { get; set; }

    /* Represents a hyperlink to the related studentLearningObjective resource. */
    public Link link { get; set; }

    }
}
